gnutls_openpgp_privkey_set_preferred_key_id(3)

NAME
gnutls_openpgp_privkey_set_preferred_key_id - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_set_preferred_key_id(gnutls_openpgp_privkey_t key, const gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP public key.

const gnutls_openpgp_keyid_t          keyid
    the selected keyid

DESCRIPTION
This allows setting a preferred key id for the given certificate. This key will be used by functions that involve key handling. If the provided keyid is NULL then the master key is set as preferred.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/